Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.powerassert
[Java] Class PowerAssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  org.codehaus.groovy.runtime.powerassert.PowerAssertionError

    public class PowerAssertionError
    extends java.lang.AssertionError

Indicates that a power assertion has failed.

Authors:
  Peter Niederwieser

Constructor Summary
`PowerAssertionError(java.lang.String msg)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.AssertionError
java.lang.AssertionError#printStackTrace(), java.lang.AssertionError#printStackTrace(java.io.PrintStream), java.lang.AssertionError#printStackTrace(java.io.PrintWriter), java.lang.AssertionError#fillInStackTrace(), java.lang.AssertionError#getCause(), java.lang.AssertionError#initCause(java.lang.Throwable), java.lang.AssertionError#toString(), java.lang.AssertionError#getMessage(), java.lang.AssertionError#getLocalizedMessage(), java.lang.AssertionError#getStackTrace(), java.lang.AssertionError#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.AssertionError#addSuppressed(java.lang.Throwable), java.lang.AssertionError#getSuppressed(), java.lang.AssertionError#wait(long), java.lang.AssertionError#wait(long, int), java.lang.AssertionError#wait(), java.lang.AssertionError#equals(java.lang.Object), java.lang.AssertionError#hashCode(), java.lang.AssertionError#getClass(), java.lang.AssertionError#notify(), java.lang.AssertionError#notifyAll()

Methods inherited from class java.lang.Error
java.lang.Error#printStackTrace(), java.lang.Error#printStackTrace(java.io.PrintStream), java.lang.Error#printStackTrace(java.io.PrintWriter), java.lang.Error#fillInStackTrace(), java.lang.Error#getCause(), java.lang.Error#initCause(java.lang.Throwable), java.lang.Error#toString(), java.lang.Error#getMessage(), java.lang.Error#getLocalizedMessage(), java.lang.Error#getStackTrace(), java.lang.Error#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Error#addSuppressed(java.lang.Throwable), java.lang.Error#getSuppressed(), java.lang.Error#wait(long), java.lang.Error#wait(long, int), java.lang.Error#wait(), java.lang.Error#equals(java.lang.Object), java.lang.Error#hashCode(), java.lang.Error#getClass(), java.lang.Error#notify(), java.lang.Error#notifyAll()

Constructor Detail

### PowerAssertionError

    public PowerAssertionError(java.lang.String msg)

Method Detail

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation